## gssdp 1.2.3

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('sniffer', type: 'boolean', value: true, description: 'Compile graphical SSDP sniffer')
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of Vala vapi file')
option('examples', type: 'boolean', value: true, description : 'Enable or disable examples')

## gssdp 0.6.4-0maemo2%2b0m5

=== debian/changelog ===
gssdp (0.6.4-0maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 15 Jun 2009 10:04:30 +0300

gssdp (0.6.4-0maemo2) unstable; urgency=low

  * Fixes: NB#120533 - Put timers to proper main context.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 11 Jun 2009 16:17:16 +0300

gssdp (0.6.4-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 26 Feb 2009 14:30:35 +0200

gssdp (0.6.1-1maemo1) unstable; urgency=low

  * Initial maemo release based on lenny.
  * Changes:
    + Standards-Version downgraded from 3.7.3 to 3.7.2 because lintian
      doesn't support the newer one.
    + Package gssdp-tools is not built.
    + libgssdp-1.0-dbg renamed to libgssdp-1.0-1-dbg to please lintian.
      (dbg-binary-control-file-section-lacks-strict-versioned-dependency)

 -- Zeeshan Ali <zeeshan.ali@nokia.com>  Sun, 10 Aug 2008 11:14:35 +0300

gssdp (0.6.1-1) unstable; urgency=low

  * Brown paper bag upstream release which bumps soname because of the ABI
    breakage.
  * Fix libsoup dependency on -dev
  * Add --as-needed to link flags

 -- Ross Burton <ross@debian.org>  Mon, 19 May 2008 21:39:42 +0100

gssdp (0.6-1) unstable; urgency=low

  * New upstream release.
    - Uses libsoup2.4 rather than 2.2

 -- Ross Burton <ross@debian.org>  Tue, 13 May 2008 17:39:44 +0100

gssdp (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libgnutls-dev to fix libsoup2.2-dev build failure.

 -- Ross Burton <ross@debian.org>  Sun, 24 Feb 2008 17:23:12 +0000

gssdp (0.4.1-3) unstable; urgency=low

  * Add debian/watch.
  * Bump Standards
  * Refer to common GFDL license instead of containing the full text
  * Make -dbg package priority extra.
  * Don't use Source-Version

 -- Ross Burton <ross@debian.org>  Thu, 21 Feb 2008 10:24:13 +0000

gssdp (0.4.1-2) unstable; urgency=low

  * Add -dbg package.

 -- Ross Burton <ross@debian.org>  Tue, 16 Oct 2007 17:10:26 +0100

gssdp (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Sun, 23 Sep 2007 14:44:20 +0100

gssdp (0.4-2) unstable; urgency=low

  * Add missing libsoup2.2-dev depends on libgssdp-1.0-dev.

 -- Ross Burton <ross@debian.org>  Thu, 23 Aug 2007 17:15:30 +0100

gssdp (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Thu, 26 Jul 2007 19:20:04 +0100

gssdp (0.1-1) unstable; urgency=low

  * Initial packaging.

 -- Ross Burton <ross@debian.org>  Wed, 13 Jun 2007 09:52:29 +0100

=== debian/control ===
Source: gssdp
Section: libs
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev (>= 2.9.1), libsoup2.4-dev, gtk-doc-tools (>= 1.10)
Standards-Version: 3.7.2

Package: libgssdp-1.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based library for SSDP
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.

Package: libgssdp-1.0-dev
Section: libdevel
Architecture: any
Depends: libgssdp-1.0-1 (= ${binary:Version}), libsoup2.4-dev
Suggests: libgssdp-doc
Description: GObject-based library for SSDP (development files)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the development files.

Package: libgssdp-1.0-1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgssdp-1.0-1 (= ${binary:Version})
Description: GObject-based library for SSDP (debug symbols)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the debug symbols.

Package: libgssdp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Description: GObject-based library for SSDP (documentation)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/tmp/usr
DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

debian/stamp-autogen:
	./autogen.sh --prefix=/usr --disable-debug --enable-gtk-doc
	touch $@

makebuilddir/libgssdp-1.0-1:: debian/stamp-autogen

common-binary-predeb-arch:: list-missing

UPSTREAM_REF=master
PATCHES_REF=maemo-patches

update-patch-series:
	mkdir -p $(CURDIR)/debian/patches
	rm -f $(CURDIR)/debian/patches/*.patch
	git-format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
		xargs -n 1 basename > $(CURDIR)/debian/patches/series
	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
	do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done

## gssdp 0.7.1-0maemo2%2b0m5

=== debian/changelog ===
gssdp (0.7.1-0maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Tue, 09 Feb 2010 10:53:52 +0200

gssdp (0.7.1-0maemo2) unstable; urgency=low

  * Partial fix: NB#153523 - [REGF] Gtalk breaks due to
    mafw-upnp-source + new gupnp changes

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 22 Jan 2010 14:01:56 +0200

gssdp (0.7.1-0maemo1) unstable; urgency=low

  * Update to latest upstream.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 19 Nov 2009 15:13:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev (>= 2.9.1), libsoup2.4-dev, gtk-doc-tools (>= 1.10)
 Standards-Version: 3.7.2
 
-Package: libgssdp-1.0-1
+Package: libgssdp-1.0-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -17,7 +17,7 @@
 Package: libgssdp-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgssdp-1.0-1 (= ${binary:Version}), libsoup2.4-dev
+Depends: libgssdp-1.0-2 (= ${binary:Version}), libsoup2.4-dev
 Suggests: libgssdp-doc
 Description: GObject-based library for SSDP (development files)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
@@ -25,11 +25,11 @@
  .
  This package contains the development files.
 
-Package: libgssdp-1.0-1-dbg
+Package: libgssdp-1.0-2-dbg
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: libgssdp-1.0-1 (= ${binary:Version})
+Depends: libgssdp-1.0-2 (= ${binary:Version})
 Description: GObject-based library for SSDP (debug symbols)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	./autogen.sh --prefix=/usr --disable-debug --enable-gtk-doc
 	touch $@
 
-makebuilddir/libgssdp-1.0-1:: debian/stamp-autogen
+makebuilddir/libgssdp-1.0-2:: debian/stamp-autogen
 
 common-binary-predeb-arch:: list-missing

## gssdp 0.12.0

=== debian/changelog ===
gssdp (0.12.0-1) experimental; urgency=low

  * Imported Upstream version 0.12.0
  * Update debian/watch for ftp.gnome.org
  * Switch to debian source format 3.0 (quilt)
    - needed for xz orig tarball.
  * Rename library package to match new soname.
    - also update symbols
  * Fix lintian warning about bracket expansion in debhelper install file

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2011 16:27:08 +0200

gssdp (0.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 12:54:03 +0200

gssdp (0.10.0-1) experimental; urgency=low

  * Make -dev package depend or gir1.2- package.
  * Imported Upstream version 0.10.0
  * debian/rules: fix dh_girepository hook for gir1.2
  * Update symbols file for 0.10 release.
  * Bump policy version to 3.9.2
  * Upload to experimental for now to avoid disrupting
    the gobject-introspection.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Apr 2011 14:51:59 +0200

gssdp (0.8.2-2) unstable; urgency=low

  * Linking tests with gold linker fixed by upstream in 0.8.1 (Closes: #618075)
  * Bump libsoup2.4-dev build dependency to >= 2.26.1 (Closes: #607778)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Mar 2011 16:41:07 +0100

gssdp (0.8.2-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.8.2
  * Only watch for stable releases

  [ Sebastien Bacher ]
  * build-depends on libgtk2.0-dev rather than libglade2-dev (Closes:
    #599440)

  [ Andreas Henriksson ]
  * Update to new gir policy (gir 1.2):
  - Rename gir1.0-gssdp-1.0 to gir1.2-gssdp-1.0
    (and conflict/replace the old name)
  - Bump gobject-introspection build dependency to (>= 0.9.12-4~)
    and libgirepository1.0-dev to (>= 0.9.12)
  - Build-depend on gir1.2-glib-2.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Dec 2010 11:13:42 +0100

gssdp (0.8.0-2) unstable; urgency=low

  * Add symbols file for libgssdp-1.0-2
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Oct 2010 16:37:36 +0200

gssdp (0.8.0-1) experimental; urgency=low

  * debian/watch: fix for new gupnp.org site layout.
  * Imported Upstream version 0.8.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Sep 2010 20:53:10 +0200

gssdp (0.7.2-2) unstable; urgency=low

  * Call dh_girepository
  * Add missing build-dependency on gir1.0-glib-2.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 26 Apr 2010 12:07:41 +0200

gssdp (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Include new GObject Introspection data.
    + ship .gir in -dev package.
    + Add new gir1.0-gssdp-1.0 package with typelib.
  * Use multi-line build-dependencies and add gobject-introspection.
  * Add build-dependency on libgirepository1.0-dev
  * Add a versioned replaces on libgssdp1.0-dev against gir-repository-dev
    (<= 0.6.5-5), to prevent .gir file collisions.
  * Add Homepage and Vcs-* fields
  * Bump to policy version 3.8.4
  * Add myself to Uploaders (acknowledged by Ross Burton)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Apr 2010 14:18:22 +0200

gssdp (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Clarify copyright

 -- Ross Burton <ross@debian.org>  Mon, 25 Jan 2010 09:07:49 +0000

gssdp (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Thu, 24 Sep 2009 13:38:33 +0100

gssdp (0.6.4-2) unstable; urgency=low

  * Bump libglib2.0 build-dependency (Closes: #517392)

 -- Ross Burton <ross@debian.org>  Sun, 08 Mar 2009 00:12:33 +0000

gssdp (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Fri, 20 Feb 2009 12:00:22 +0000

gssdp (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Tue, 30 Sep 2008 15:49:01 +0100

=== debian/control ===
Source: gssdp
Section: libs
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 5),
               cdbs,
               libglib2.0-dev (>= 2.18),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-glib-2.0,
               libsoup2.4-dev (>= 2.26.1),
               libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://www.gupnp.org
Vcs-Git: git://git.debian.org/git/collab-maint/gssdp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gssdp.git

Package: libgssdp-1.0-3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based library for SSDP
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.

Package: gir1.2-gssdp-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gir1.0-gssdp-1.0
Replaces: gir1.0-gssdp-1.0
Description: GObject introspection data for the GSSDP library
 This package contains introspection data for GSSDP, a SSDP
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libgssdp-1.0-dev
Section: libdevel
Architecture: any
Depends: libgssdp-1.0-3 (= ${binary:Version}), gir1.2-gssdp-1.0, libsoup2.4-dev, ${misc:Depends}
Suggests: libgssdp-doc
Replaces: gir-repository-dev (<= 0.6.5-5)
Description: GObject-based library for SSDP (development files)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the development files.

Package: libgssdp-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgssdp-1.0-3 (= ${binary:Version}), ${misc:Depends}
Description: GObject-based library for SSDP (debug symbols)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the debug symbols.

Package: libgssdp-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Description: GObject-based library for SSDP (documentation)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the documentation.

Package: gssdp-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based library for SSDP (tools)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains some tools, such as gssdp-device-sniffer.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

common-binary-predeb-arch:: list-missing

binary-predeb/gir1.2-gssdp-1.0::
	dh_girepository -p$(cdbs_curpkg)

## gssdp 0.12.1

=== debian/changelog ===
gssdp (0.12.1-2) unstable; urgency=low

  * Move gssdp gir package to introspection section
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 14:18:29 +0100

gssdp (0.12.1-1) experimental; urgency=low

  * Imported Upstream version 0.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 13:23:27 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  transparently.
 
 Package: gir1.2-gssdp-1.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends}

## gssdp 0.12.2.1

=== debian/changelog ===
gssdp (0.12.2.1-2) unstable; urgency=low

  * libgssdp-1.0-dev now breaks gupnp-vala (<= 0.10.4) for policy compliance.
    Thanks to to Andreas Beckmann for finding and describing the problem.
    (Closes: #696099)
  * Also break (the ancient) gir-repository-dev (<= 0.6.5-5) for correctness

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Feb 2013 22:18:33 +0100

gssdp (0.12.2.1-1) unstable; urgency=low

  * Bump to debhelper compatibility level 9
  * Imported Upstream version 0.12.2.1
  * Vala API is now generated from introspection:
    - build-depend on valac (>= 0.14)
    - install gssdp-1.0.{vapi,deps} in libgssdp-1.0-dev
    - replace existing versions of gupnp-vala
      (0.10.4 will no longer build these files, if built on top
       of this gssdp version)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Sep 2012 18:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
                cdbs,
                libglib2.0-dev (>= 2.18),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                libsoup2.4-dev (>= 2.26.1),
-               libgtk2.0-dev
+               libgtk2.0-dev,
+               valac (>= 0.14)
 Standards-Version: 3.9.2
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gssdp.git
@@ -43,7 +44,8 @@
 Architecture: any
 Depends: libgssdp-1.0-3 (= ${binary:Version}), gir1.2-gssdp-1.0, libsoup2.4-dev, ${misc:Depends}
 Suggests: libgssdp-doc
-Replaces: gir-repository-dev (<= 0.6.5-5)
+Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
+Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
 Description: GObject-based library for SSDP (development files)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

## gssdp 0.13.2

=== debian/changelog ===
gssdp (0.13.2-1) experimental; urgency=low

  * Imported Upstream version 0.13.2

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Dec 2012 23:09:02 +0100

gssdp (0.13.1-1) experimental; urgency=low

  * Imported Upstream version 0.13.1

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Oct 2012 12:42:20 +0200

gssdp (0.13.0-1) experimental; urgency=low

  * Imported Upstream version 0.13.0
    - Beware! this version stops leaking gio and gobject linker flags!
    - If you use symbols from a library, you need to link to it!
    - Also link your modules with "-Wl,-z,defs" in LDFLAGS to
      catch errors at build time!

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 08 Oct 2012 22:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
 Depends: libgssdp-1.0-3 (= ${binary:Version}), gir1.2-gssdp-1.0, libsoup2.4-dev, ${misc:Depends}
 Suggests: libgssdp-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
-Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
 Description: GObject-based library for SSDP (development files)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

## gssdp 0.14.2

=== debian/changelog ===
gssdp (0.14.2-0ubuntu1) raring; urgency=low

  * New upstream release
    + Fix memory leaks on initial interface search.
    + Make default interface detection a little bit smarter.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Mar 2013 12:13:40 +0000

gssdp (0.14.1-1) experimental; urgency=low

  * Imported Upstream version 0.14.1
  * Bump glib build-dep version to 2.32 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Feb 2013 18:34:00 +0100

gssdp (0.14.0-1) experimental; urgency=low

  * Tighten dev -> gir package dependency
  * Bump standards version to 3.9.4
  * Imported Upstream version 0.14.0
  * Update symbols file for added rescan method

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Feb 2013 14:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
-               libglib2.0-dev (>= 2.18),
+               libglib2.0-dev (>= 2.32),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                libsoup2.4-dev (>= 2.26.1),
                libgtk2.0-dev,
                valac (>= 0.14)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gssdp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gssdp.git
@@ -42,7 +43,10 @@
 Package: libgssdp-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgssdp-1.0-3 (= ${binary:Version}), gir1.2-gssdp-1.0, libsoup2.4-dev, ${misc:Depends}
+Depends: libgssdp-1.0-3 (= ${binary:Version}),
+         gir1.2-gssdp-1.0 (= ${binary:Version}),
+         libsoup2.4-dev,
+         ${misc:Depends}
 Suggests: libgssdp-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
 Description: GObject-based library for SSDP (development files)

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 
 export LDFLAGS += -Wl,--as-needed
 
-DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
-
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 
 common-binary-predeb-arch:: list-missing

## gssdp 0.14.4

=== debian/changelog ===
gssdp (0.14.4-1) unstable; urgency=low

  * Imported Upstream version 0.14.4

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 Aug 2013 02:36:17 +0200

gssdp (0.14.3-1) unstable; urgency=low

  * Imported Upstream version 0.14.3
  * Switch build-dependency to gtk+ 3
  * Add autotools-dev build-dependency
    - fixes outdated-autotools-helper-file with help from CDBS
  * Don't manually run dh_girepository anymore
    - This is handled by CDBS since 0.4.90

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Jun 2013 13:52:35 +0200

gssdp (0.14.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 May 2013 01:54:22 +0200

gssdp (0.14.2-1) experimental; urgency=low

  * Merge 0.12.2.1-2 changes into experimental branch.
  * Imported Upstream version 0.14.2

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Mar 2013 16:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
+               autotools-dev,
                libglib2.0-dev (>= 2.32),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                libsoup2.4-dev (>= 2.26.1),
-               libgtk2.0-dev,
+               libgtk-3-dev,
                valac (>= 0.14)
 Standards-Version: 3.9.4
 Homepage: http://www.gupnp.org
@@ -49,6 +49,7 @@
          ${misc:Depends}
 Suggests: libgssdp-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
+Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
 Description: GObject-based library for SSDP (development files)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

## gssdp 0.14.7

=== debian/changelog ===
gssdp (0.14.7-1ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - Use dh-autoreconf

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 17 Mar 2014 07:29:13 +1100

gssdp (0.14.7-1) unstable; urgency=medium

  * Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS
  * Make dh_makeshlibs fail on symbols mismatch
  * Imported Upstream version 0.14.7

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 23:28:28 +0100

gssdp (0.14.6-1ubuntu3) trusty; urgency=medium

  * Build-depend on gtk-doc-tools.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2013 22:09:22 +0100

gssdp (0.14.6-1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2013 19:56:39 +0100

gssdp (0.14.6-1) unstable; urgency=low

  * Imported Upstream version 0.14.6
  * Update debian/libgssdp-1.0-3.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Nov 2013 18:51:13 +0100

gssdp (0.14.5-1) unstable; urgency=low

  * Imported Upstream version 0.14.5

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 21:02:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
+               dh-autoreconf, gtk-doc-tools,
                autotools-dev,
                libglib2.0-dev (>= 2.32),
                gobject-introspection (>= 0.9.12-4~),

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -c4

common-binary-predeb-arch:: list-missing

## gssdp 0.14.8

=== debian/changelog ===
gssdp (0.14.8-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.5

  [ Paulo Flabiano Smorigo ]
  * Add autoreconf during the build to enable new architectures
    (Closes: #753599)

  [ Andreas Henriksson ]
  * Add missing build-dependencies dh-autoreconf and gtk-doc-tools
    - needed for autoreconf during build.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jul 2014 16:35:02 +0200

gssdp (0.14.8-1) unstable; urgency=medium

  * Imported Upstream version 0.14.8
  * Update debian/libgssdp-1.0-3.symbols with three additions

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jul 2014 16:20:08 +0200

## gssdp 0.14.10

=== debian/changelog ===
gssdp (0.14.10-1) unstable; urgency=medium

  * Imported Upstream version 0.14.10

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Aug 2014 22:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
-               dh-autoreconf, gtk-doc-tools,
+               dh-autoreconf,
+               gtk-doc-tools,
                autotools-dev,
                libglib2.0-dev (>= 2.32),
                gobject-introspection (>= 0.9.12-4~),
@@ -15,7 +15,7 @@
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
                valac (>= 0.14)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gssdp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gssdp.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #! /usr/bin/make -f 
 
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

## gssdp 0.14.11

=== debian/changelog ===
gssdp (0.14.11-1) unstable; urgency=medium

  * Imported Upstream version 0.14.11

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 29 Apr 2015 19:48:02 +0200

## gssdp 0.14.14

=== debian/changelog ===
gssdp (0.14.14-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining change 
    - multiarchify the library packages
    includes fix for dlna servers (lp: #1536208)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Feb 2016 10:53:18 +0100

gssdp (0.14.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop Ross Burton from Maintainer on his request.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Feb 2016 19:52:08 +0100

gssdp (0.14.13-1ubuntu1) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 04:29:08 +0100

gssdp (0.14.13-1) unstable; urgency=medium

  * Add debian/gbp.conf
  * Imported Upstream version 0.14.13

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 09 Jan 2016 18:09:09 +0100

gssdp (0.14.12-1) unstable; urgency=medium

  * Imported Upstream version 0.14.12

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Dec 2015 19:32:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
                dh-autoreconf,
@@ -23,6 +23,8 @@
 Package: libgssdp-1.0-3
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GObject-based library for SSDP
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
@@ -31,6 +33,7 @@
 Package: gir1.2-gssdp-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
 Conflicts: gir1.0-gssdp-1.0
@@ -45,6 +48,7 @@
 Package: libgssdp-1.0-dev
 Section: libdevel
 Architecture: any
+#Multi-Arch: same
 Depends: libgssdp-1.0-3 (= ${binary:Version}),
          gir1.2-gssdp-1.0 (= ${binary:Version}),
          libsoup2.4-dev,
@@ -62,6 +66,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libgssdp-1.0-3 (= ${binary:Version}), ${misc:Depends}
 Description: GObject-based library for SSDP (debug symbols)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
+
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -c4

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gssdp/([\d\.]+[24680])/ \
	gssdp-(.*)\.tar\.xz

## gssdp 1.0.0

=== debian/changelog ===
gssdp (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 22 Sep 2016 20:05:14 +0200

gssdp (0.14.16-2) unstable; urgency=medium

  * Convert from cdbs to dh
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Drop libgssdp-1.0-dbg in favour of automatic dbgsym
  * debian/gbp.conf: import upstream-vcs-tag automatically
  * Drop '*.la' and use --fail-missing

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 11:23:02 +0200

gssdp (0.14.16-1) unstable; urgency=medium

  * New upstream release.
  * Update libgssdp-1.0-3.symbols with new symbols
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Jul 2016 17:19:47 +0200

gssdp (0.14.14-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the library packages (Closes: #812960)

  [ Andreas Henriksson ]
  * debian/copyright: Updated and switched to DEP5 format
  * Hand over maintenance to Debian GNOME Team
    - build-depend on gnome-pkg-tools
    - include uploaders.mk and gnome-get-source.mk in debian/rules
    - copy debian/control to debian/control.in
    - set Maintainer to Debian GNOME Team and Uploaders to autogenerated.
    - update Vcs-* fields for move from collab-maint to pkg-gnome
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Mar 2016 15:29:55 +0100

## gssdp 1.0.1

=== debian/changelog ===
gssdp (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Oct 2016 21:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gssdp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 9),
-               cdbs,
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>
+Build-Depends: debhelper (>= 10),
+               gnome-pkg-tools,
                gtk-doc-tools,
                autotools-dev,
                libglib2.0-dev (>= 2.32),
@@ -15,10 +18,10 @@
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
                valac (>= 0.14)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.gupnp.org
-Vcs-Git: git://git.debian.org/git/collab-maint/gssdp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gssdp.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnome/gssdp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gssdp.git/
 
 Package: libgssdp-1.0-3
 Section: libs
@@ -62,18 +65,6 @@
  .
  This package contains the development files.
 
-Package: libgssdp-1.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libgssdp-1.0-3 (= ${binary:Version}), ${misc:Depends}
-Description: GObject-based library for SSDP (debug symbols)
- A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
- transparently.
- .
- This package contains the debug symbols.
-
 Package: libgssdp-doc
 Section: doc
 Architecture: all

## gssdp 1.0.2

=== debian/changelog ===
gssdp (1.0.2-2) unstable; urgency=medium

  * Add disable-multicast-tests.patch:
    - Disable build tests which require multicast networking which appears
      to violate Debian's "no network access attempts" policy (Closes: #882216)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 29 Nov 2017 13:22:47 -0500

gssdp (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage and Vcs fields
  * Update debian/watch
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 17 Nov 2017 17:17:03 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                gtk-doc-tools,
-               autotools-dev,
                libglib2.0-dev (>= 2.32),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
@@ -18,10 +17,10 @@
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
                valac (>= 0.14)
-Standards-Version: 3.9.8
-Homepage: http://www.gupnp.org
-Vcs-Git: git://anonscm.debian.org/pkg-gnome/gssdp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gssdp.git/
+Standards-Version: 4.1.1
+Homepage: https://wiki.gnome.org/Projects/GUPnP
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gssdp.git/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gssdp.git/
 
 Package: libgssdp-1.0-3
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libgssdp-1.0-dbg (<< 0.14.16-2~)'

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

## gssdp 1.0.5

=== debian/changelog ===
gssdp (1.0.5-0+deb10u1+rebuild) buster; urgency=medium

  * New upstream stable release.
  * Add get_address_mask needed by gupnp for the CVE-2020-12695 fix.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 04 Aug 2020 12:50:20 +0200

gssdp (1.0.2-4) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:30:58 -0500

gssdp (1.0.2-3) unstable; urgency=medium

  * debian/control.in:
    - Suggests devhelp rather than depending on 'lynx | www-browser',
      there is no need of a webbrowser.

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Dec 2018 16:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gssdp
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gtk-doc-tools,
                libglib2.0-dev (>= 2.32),
@@ -17,13 +17,12 @@
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
                valac (>= 0.14)
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
+Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gssdp.git/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gssdp.git/
 
 Package: libgssdp-1.0-3
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -67,7 +66,8 @@
 Package: libgssdp-doc
 Section: doc
 Architecture: all
-Depends: lynx | www-browser, ${misc:Depends}
+Depends: ${misc:Depends}
+Suggests: devhelp
 Description: GObject-based library for SSDP (documentation)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='libgssdp-1.0-dbg (<< 0.14.16-2~)'

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## gssdp 1.2.1

=== debian/changelog ===
gssdp (1.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Sep 2019 12:06:52 +0200

gssdp (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 07:51:08 -0400

gssdp (1.1.3-1) experimental; urgency=medium

  * New upstream development release
  * Update package names for new soname
  * Build with meson
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump minimum libglib2.0-dev to 2.44

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 16:14:04 -0500

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,24 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools,
-               libglib2.0-dev (>= 2.32),
-               gobject-introspection (>= 0.9.12-4~),
+               libglib2.0-dev (>= 2.44),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
+               meson,
                valac (>= 0.14)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
 Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP
 
-Package: libgssdp-1.0-3
+Package: libgssdp-1.2-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -31,14 +32,12 @@
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.
 
-Package: gir1.2-gssdp-1.0
+Package: gir1.2-gssdp-1.2
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
-Conflicts: gir1.0-gssdp-1.0
-Replaces: gir1.0-gssdp-1.0
 Description: GObject introspection data for the GSSDP library
  This package contains introspection data for GSSDP, a SSDP
  library.
@@ -46,12 +45,12 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libgssdp-1.0-dev
+Package: libgssdp-1.2-dev
 Section: libdevel
 Architecture: any
 #Multi-Arch: same
-Depends: libgssdp-1.0-3 (= ${binary:Version}),
-         gir1.2-gssdp-1.0 (= ${binary:Version}),
+Depends: libgssdp-1.2-0 (= ${binary:Version}),
+         gir1.2-gssdp-1.2 (= ${binary:Version}),
          libsoup2.4-dev,
          ${misc:Depends}
 Suggests: libgssdp-doc

## gssdp 1.2.2

=== debian/changelog ===
gssdp (1.2.2-1) unstable; urgency=medium

  * New upstream release
    - Bump libglib2.0-dev build-dependency
  * debian/libgssdp-1.2-0.symbols: Mark gssdp_pktinfo6_message_get_type and
    gssdp_pktinfo_message_get_type symbols as arch=linux-any.
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * New upstream release
  * Add debian/docs to provide NEWS and README files, thanks to Patrice Duroux
    (Closes: #917356)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 07 Jan 2020 19:46:32 +0100

gssdp (1.2.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>
  * debian/control.in: Mark the -dev package as Multi-Arch: same

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 01:33:16 +0100

gssdp (1.2.1-2) experimental; urgency=medium

  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 08:55:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
-               libglib2.0-dev (>= 2.44),
+               libglib2.0-dev (>= 2.54),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                libsoup2.4-dev (>= 2.26.1),
                libgtk-3-dev,
                meson,
                valac (>= 0.14)
-Standards-Version: 4.3.0
+Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup2.4-doc <!nodoc>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
 Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP
@@ -48,7 +49,7 @@
 Package: libgssdp-1.2-dev
 Section: libdevel
 Architecture: any
-#Multi-Arch: same
+Multi-Arch: same
 Depends: libgssdp-1.2-0 (= ${binary:Version}),
          gir1.2-gssdp-1.2 (= ${binary:Version}),
          libsoup2.4-dev,
@@ -67,6 +68,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: GObject-based library for SSDP (documentation)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## gssdp 1.2.3

=== debian/changelog ===
gssdp (1.2.3-2) unstable; urgency=medium

  * debian/libgssdp-1.2-0.symbols:
    - correctly update the symbols now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Jun 2020 16:27:36 +0200

gssdp (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Jun 2020 16:15:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true
 
+# Make the tests non-fatal on kfreebsd-* as multicast requires to explicitly
+# setup a route
+ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
+override_dh_auto_test:
+	dh_auto_test || true
+endif
+
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
